Subject: [bug#42888] [PATCH] gnu: rust: Fix install phase for non-x86_64 platforms.

From: Marius Bakke <[email-masked]>
Date: Fri, 25 Sep 2020 20:57:27 +0200

Pierre Langlois <[email-masked]> writes:

> Hello Guix!
>
> Pierre Langlois writes:
>
>> Hi Jakub,
>>
>> Jakub Kądziołka writes:
>>
>
> (snip)
>
>>> Pierre,
>>>
>>> thanks for your patch! I was working on a similar change before, but
>>> when I tried it, it failed even earlier in the bootstrap chain. It
>>> might've been QEMU weirdness, though, a la #42448.
>>>
>>>> @@ -612,9 +613,10 @@ jemalloc = \"" jemalloc "/lib/libjemalloc_pic.a" "\"
>>>>                         (cargo-out (assoc-ref outputs "cargo")))
>>>>                     (for-each
>>>>                       (lambda (file) (delete-manifest-file out file))
>>>> -                     '("install.log"
>>>> +                     `("install.log"
>>>>                         "manifest-rust-docs"
>>>> -                       "manifest-rust-std-x86_64-unknown-linux-gnu"
>>>> +                       ,,(string-append "manifest-rust-std-"
>>>> +                                        (nix-system->gnu-triplet-for-rust))
>>>>                         "manifest-rustc"))
>>>>                     (for-each
>>>>                       (lambda (file) (delete-manifest-file cargo-out file))
>>>
>>> If I understand the code correctly, this quasiquote is unnecessary, as
>>> the host-side code will evaluate to a string that can be inserted as-is,
>>> without another unquote on the build side.
>>>
>>> Fixing this would mean that the patch can go on master, since it would
>>> now only trigger rebuilds on architectures that are already broken.
>>
>> Ooooh yeah, that'll be much better, I've attached a patch that does just
>> that. I can confirm it doesn't trigger a full rebuild, nice!
>>
>
> I've just rebased this patch and fixed a little formatting issue. I've
> made sure, it doesn't trigger any rust rebuilds on x86.
>
> Is this OK to commit?

LGTM!  Thanks a lot for tackling this long-standing issue.

Were you able to build all the way to the latest Rust?